Name:           SteGUI
Version:        0.0.1 
Release:        18%{?dist}
Summary:        Graphical front-end to Steghide
Summary(fr):    Interface graphique pour Steghide

Group:          Applications/Archiving
License:        GPLv2+
URL:            http://stegui.sourceforge.net/
Source0:        http://downloads.sourceforge.net/stegui/%{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
Source2:        %{name}-icon.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  fltk-devel
BuildRequires:  desktop-file-utils 
BuildRequires:  libjpeg-devel
BuildRequires:  libjpeg-turbo
BuildRequires:  libpng-devel
BuildRequires:  alsa-lib-devel
Requires:       steghide >= 0.5.1, csound-fltk,

%description
SteGUI is a graphical front-end to Steghide. It lets users view the 
images and play the sounds that Steghide allows as cover files, 
and command the program all with one tool. It also embeds a simple 
text editor to manage text payload files.

%description -l fr
SteGUI est une interface graphique de Steghide. Ce programme permet
d'encrypter des fichiers texte dans des images et des fichiers audio.
Il permet aux utilisteurs de voir les images et les sons qui sont 
utilisés comme couverture. 

%prep
%setup -q
sed -i -e 's/#include "MsgWindow.h"/#include "MsgWindow.h" \n#include <cstdlib>/' src/MsgWindow.cc
sed -i -e s'|LDFLAGS=`fltk-config --use-images --ldflags` -lasound -lm -lpthread|LDFLAGS=`fltk-config --use-images --ldflags` -lasound -lm -lpthread -ljpeg|' Makefile

%build
make CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" all
 

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 0755 bin/%{name} $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/pixmaps/


desktop-file-install    --vendor="fedora"                               \
                        --dir %{buildroot}%{_datadir}/applications/     \
                        --mode 0644                                     \
                        %{SOURCE1}  


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README AUTHORS ChangeLog
%{_bindir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/pixmaps/%{name}-icon.png

%changelog
* Tue May 31 2011 pingou <pingou@pingoured.fr> - 0.0.1-18
- Rebuilt
- Fix compilation flags
- Add libjpeg-turbo as BR

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 20 2008 Pingou <pingoufc4@yahoo.fr> 0.0.1-14
- Bug Fix for GCC 4.3

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.0.1-13
- Autorebuild for GCC 4.3

* Fri Sep 28 2007 Pingou <pingoufc4@yahoo.fr> 0.0.1-12
- Change in the desktop file

* Sat Sep 23 2007 Pingou <pingoufc4@yahoo.fr> 0.0.1-11
- Change in the desktop file

* Sat Sep 23 2007 Pingou <pingoufc4@yahoo.fr> 0.0.1-10
- Change in the change log (add lines)
- Change in the license tag to fit the packaging guidelines

* Fri Jun 29 2007 Pingou <pingoufc4@yahoo.fr> 0.0.1-9
- Change in the FLAGS

* Fri Jun 29 2007 Pingou <pingoufc4@yahoo.fr> 0.0.1-8
- Change in the desktop file
- Change in the FLAGS

* Wed Jun 27 2007 Pingou <pingoufc4@yahoo.fr> 0.0.1-7
- Change in the %%install (forget the rm -rf)
- Change in the summary (remove the name of the package)
- Change in the %%install (removed the strip -s)

* Fri Jun 14 2007 Pingou <pingoufc4@yahoo.fr> 0.0.1-6
-Add the vendor_id into the desktop file install command
-Add of the strip command to avoid the unstrip remark of rpmlint

* Fri Jun 14 2007 Pingou <pingoufc4@yahoo.fr> 0.0.1-5
-Add the libpng-devel to the Buildrequire
-Add the libjpeg-devel Buildrequire

* Fri May 25 2007 Pingou <pingoufc4@yahoo.fr> 0.0.1-4
-Change on the FLAGS

* Fri May 25 2007 Pingou <pingoufc4@yahoo.fr> 0.0.1-3
-Correction of the flags to CXXFLAGS
-Add of the french translation of the description and summary

* Fri May 25 2007 Pingou <pingoufc4@yahoo.fr> 0.0.1-2
-Add of the CFLAGS

* Fri May 25 2007 Pingou <pingoufc4@yahoo.fr> 0.0.1-1
- initial package for Fedora

